# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.424   -> 1.425  
#	drivers/usb/hcd/ehci-q.c	1.5     -> 1.6    
#	drivers/usb/hcd/ehci-sched.c	1.5     -> 1.6    
#	drivers/usb/hcd/ehci-mem.c	1.2     -> 1.3    
#	drivers/usb/hcd/ohci-q.c	1.3     -> 1.4    
#	drivers/usb/hcd/ehci-hub.c	1.3     -> 1.4    
#	drivers/usb/hcd/ehci-hcd.c	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/02/27	david-b@packbell.net	1.425
# misc hcd cleanup
#   
# This is minor cleanup; pulls #includes out of files
# that aren't intended to compile by themselves.
# 
# ehci bandwidth recording
#   
# Here's a minor update to the EHCI interrupt scheduler,
# recording the bandwidth used by an URB for usbfs.
# --------------------------------------------
#
diff -Nru a/drivers/usb/hcd/ehci-hcd.c b/drivers/usb/hcd/ehci-hcd.c
--- a/drivers/usb/hcd/ehci-hcd.c	Wed Feb 27 15:44:24 2002
+++ b/drivers/usb/hcd/ehci-hcd.c	Wed Feb 27 15:44:24 2002
@@ -44,6 +44,7 @@
 #include <linux/usb.h>
 #include "../hcd.h"
 
+#include <asm/byteorder.h>
 #include <asm/io.h>
 #include <asm/irq.h>
 #include <asm/system.h>
diff -Nru a/drivers/usb/hcd/ehci-hub.c b/drivers/usb/hcd/ehci-hub.c
--- a/drivers/usb/hcd/ehci-hub.c	Wed Feb 27 15:44:24 2002
+++ b/drivers/usb/hcd/ehci-hub.c	Wed Feb 27 15:44:24 2002
@@ -18,8 +18,6 @@
 
 /* this file is part of ehci-hcd.c */
 
-#include <asm/byteorder.h>
-
 /*-------------------------------------------------------------------------*/
 
 /*
diff -Nru a/drivers/usb/hcd/ehci-mem.c b/drivers/usb/hcd/ehci-mem.c
--- a/drivers/usb/hcd/ehci-mem.c	Wed Feb 27 15:44:24 2002
+++ b/drivers/usb/hcd/ehci-mem.c	Wed Feb 27 15:44:24 2002
@@ -18,8 +18,6 @@
 
 /* this file is part of ehci-hcd.c */
 
-#include <asm/byteorder.h>
-
 /*-------------------------------------------------------------------------*/
 
 /*
diff -Nru a/drivers/usb/hcd/ehci-q.c b/drivers/usb/hcd/ehci-q.c
--- a/drivers/usb/hcd/ehci-q.c	Wed Feb 27 15:44:23 2002
+++ b/drivers/usb/hcd/ehci-q.c	Wed Feb 27 15:44:23 2002
@@ -18,8 +18,6 @@
 
 /* this file is part of ehci-hcd.c */
 
-#include <asm/byteorder.h>
-
 /*-------------------------------------------------------------------------*/
 
 /*
diff -Nru a/drivers/usb/hcd/ehci-sched.c b/drivers/usb/hcd/ehci-sched.c
--- a/drivers/usb/hcd/ehci-sched.c	Wed Feb 27 15:44:24 2002
+++ b/drivers/usb/hcd/ehci-sched.c	Wed Feb 27 15:44:24 2002
@@ -20,8 +20,6 @@
 
 /*-------------------------------------------------------------------------*/
 
-#include "ehci.h"
-
 /*
  * EHCI scheduled transaction support:  interrupt, iso, split iso
  * These are called "periodic" transactions in the EHCI spec.
@@ -394,6 +392,9 @@
 				}
 				frame += period;
 			} while (frame < ehci->periodic_size);
+
+			/* update bandwidth utilization records (for usbfs) */
+			usb_claim_bandwidth (urb->dev, urb, usecs, 0);
 
 			/* maybe enable periodic schedule processing */
 			if (!ehci->periodic_urbs++) {
diff -Nru a/drivers/usb/hcd/ohci-q.c b/drivers/usb/hcd/ohci-q.c
--- a/drivers/usb/hcd/ohci-q.c	Wed Feb 27 15:44:24 2002
+++ b/drivers/usb/hcd/ohci-q.c	Wed Feb 27 15:44:24 2002
@@ -8,8 +8,6 @@
  * $Id: ohci-q.c,v 1.6 2002/01/19 00:23:15 dbrownell Exp $
  */
 
-#include <asm/byteorder.h>
- 
 static void urb_free_priv (struct ohci_hcd *hc, urb_priv_t *urb_priv)
 {
 	int		last = urb_priv->length - 1;
